Bug 232918

Summary: sysutils/getssl: needs to have the bind-tools for nslookup
Product: Ports & Packages Reporter: Andrew <pez_098>
Component: Individual Port(s)Assignee: Koichiro Iwao <meta>
Status: Closed FIXED    
Severity: Affects Only Me CC: meta, pez_098, rainbow, w.schwarzenfeld
Priority: --- Flags: bugzilla: maintainer-feedback? (rainbow)
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D17954
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235351

Description Andrew 2018-11-02 21:25:26 UTC
The getssl port needs to have the bind-tools port installed as it relies on nslookup for checking the domain.

Also, if you want to put this into your root crontab, you need to include /usr/local/bin in the path

thanks for the port, works a treat
regards
andrew
Comment 1 Rainbow 2018-11-11 22:26:32 UTC
Thanks for reporting! 
Fix has been submitted.

Changes pending at https://reviews.freebsd.org/D17954
Comment 2 Koichiro Iwao freebsd_committer 2019-02-05 02:00:03 UTC
See also bug 235351. It also adds missing runtime dependency.
Comment 3 Koichiro Iwao freebsd_committer 2019-02-07 11:49:09 UTC
Until the review complete, releasing.
Comment 4 Koichiro Iwao freebsd_committer 2019-02-07 11:50:07 UTC
Oops, I released wrong bug. I still grab this.
Comment 5 commit-hook freebsd_committer 2019-02-11 14:24:03 UTC
A commit references this bug:

Author: meta
Date: Mon Feb 11 14:23:59 UTC 2019
New revision: 492695
URL: https://svnweb.freebsd.org/changeset/ports/492695

Log:
  sysutils/getssl: add missing RUN_DEPENDS

  ftp/curl and dns/bind-tools are required. Also while here, pet some portlint
  warnings.

  PR:		232918 235351
  Submitted by:	Rainbow <rainbow@sanitylinux.org> (maintainer)
  Reported by:	Andrew <pez_098@yahoo.com>, oz42@oz42.eu
  MFH:		2019Q1
  Differential Revision:	https://reviews.freebsd.org/D17954

Changes:
  head/sysutils/getssl/Makefile
  head/sysutils/getssl/distinfo
Comment 6 Koichiro Iwao freebsd_committer 2019-02-11 14:25:56 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-02-12 05:02:23 UTC
A commit references this bug:

Author: meta
Date: Tue Feb 12 05:01:19 UTC 2019
New revision: 492750
URL: https://svnweb.freebsd.org/changeset/ports/492750

Log:
  MFH: r492695

  sysutils/getssl: add missing RUN_DEPENDS

  ftp/curl and dns/bind-tools are required. Also while here, pet some portlint
  warnings.

  PR:		232918 235351
  Submitted by:	Rainbow <rainbow@sanitylinux.org> (maintainer)
  Reported by:	Andrew <pez_098@yahoo.com>, oz42@oz42.eu
  Differential Revision:	https://reviews.freebsd.org/D17954

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/sysutils/getssl/Makefile
  branches/2019Q1/sysutils/getssl/distinfo